Subject: Fwd: Re: [Peninsula_Interweave] Fw: New book by Joan Roughgarden

From: Amy Zucker Morgenstern <[email-masked]>
Date: Wed, 25 Oct 2006 12:52:36 -0700 (PDT)

Dear ARE Committee,

I'm belatedly seeing this interesting article David
Harris forwarded.

>http://www.nytimes.com/2006/07/25/science/25books.html
> 
>   >
>
<http://www.nytimes.com/2006/07/25/science/25books.html>
>   > >
>   > >EVOLUTION AND CHRISTIAN FAITH: REFLECTIONS OF
> AN EVOLUTIONARY
>   > >BIOLOGIST
>   > >By Joan Roughgarden. Island Press, 2006.
>   >
>   > >In "Evolution and Christian Faith," Dr.
> Roughgarden, the child
>   > >of Episcopal missionaries and now an
> evolutionary biologist at
>   > >Stanford, tells of her struggles to fit the
> individual into the
>   > >evolutionary picture - an effort complicated in
> her case by the fact
>   > >that she is transgender, and therefore has
> views at odds with some
>   > >conventional Darwinian thinking about sexual
> identity.
>   > >
>   > >"I have been struck," Dr. Roughgarden writes,
> "by how the 'debate'
>   > >over teaching evolution is not about plants and
> animals but about
>   > >God and whether science somehow threatens one's
> belief in God."
>   > >
>   > Dr. Roughgarden points out, it is
>   > >crucial in our society for people of faith, the
> vast majority of our
>   > >population, to understand the issues of
> contemporary science. "I'd
>   > >love to discuss the moral issues of
> biotechnology within a community
>   > >of faith," she writes. "But most church
> congregations and their
>   > >leaders are not prepared for those
> discussions."
>   > >
>   >
>   > >
>   > >Copyright 2006 The New York Times Company
>   > >
>   >
>   > 
> 
>   -- 
>   David Harris, Palo Alto, California.
>   GPS location: 37.41988, -122.13388 (1984 WGS
> system).
>   NOTE!: NEW active account: [email-masked] 
>   Active account WAS: [email-masked] 
>   Phone: 1-650-856-9126 (has answering machine or
> me)
>   Lifetime e-mail forwarding account:
> [email-masked]
>   Postal ("snail mail") address: David Harris
>   Medintrans
>   455 Margarita Ave.
>   Palo Alto, CA 94306-2827

David wrote:

>   Sayyyy, we could hold a special event at the UUCPA
> which would give her 
>   a chance for that discussion! A panel? She talks,
> then a panel 
>   discusses? Anyone else like this idea or some
> variation on it?

I think it would be great.  Thoughts, ARE folks?

Amy

------------------------------------------------------------------------
Rev. Amy Zucker Morgenstern, Parish Minister, 
Unitarian Universalist Church of Palo Alto, www.uucpa.org
[email-masked] ~ 650-494-0541 x26

Office hours: Tues, Thurs, & Fri.  Day off: Mon  Writing day:  Wed

Phone and e-mail messages sent after Sunday morning will be received on Tuesday.  If you have a pastoral emergency, you can reach me or Rev. Darcey Laine at 650-494-0541 x25.
------------------------------------------------------------------------
There is a vitality, a life-force, an energy, a quickening that is translated through you into action, and because there is only one of you in all of time, this expression is unique.  And if you block it, it will never exist through any other medium, and be lost . . . It is not your business to determine how good it is nor how it compares with other expressions.  It is your business to keep it yours clearly and directly, to keep the channel open.  --Martha Graham